package com.loafle.overflow.model.meta;


import javax.persistence.*;
import java.util.Date;

/**
 * Created by insanity on 17. 9. 20.
 */
@Entity
@Table(name = "META_SENSOR_DISPLAY_ITEM", schema = "public")
public class MetaSensorDisplayItem {

    private Long id;
    private String key;
    private String displayName;
    private String description;
    private MetaCrawler crawler;
    private MetaSensorItemUnit unit;
    private Date createDate;
    private Boolean isDefault;
    private MetaSensorItemType itemType;

    public MetaSensorDisplayItem() {

    }
    public MetaSensorDisplayItem(Long id) {
        this.id = id;
    }

    @Id
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Column(name = "KEY", nullable = false)
    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    @Column(name = "DISPLAY_NAME", nullable = false)
    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    @Column(name = "DESCRIPTION", nullable = false)
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


    @ManyToOne
    @JoinColumn(name = "CRAWLER_ID", nullable = false)
    public MetaCrawler getCrawler() {
        return crawler;
    }

    public void setCrawler(MetaCrawler crawler) {
        this.crawler = crawler;
    }

    @ManyToOne
    @JoinColumn(name = "UNIT_ID", nullable = true)
    public MetaSensorItemUnit getUnit() {
        return unit;
    }

    public void setUnit(MetaSensorItemUnit unit) {
        this.unit = unit;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }


    @Basic
    @Column(name="IS_DEFAULT", nullable = false, columnDefinition = "Boolean default false")
    public Boolean getDefault() {
        return isDefault;
    }

    public void setDefault(Boolean aDefault) {
        isDefault = aDefault;
    }

    @ManyToOne
    @JoinColumn(name = "TYPE_ID", nullable = false)
    public MetaSensorItemType getItemType() {
        return itemType;
    }

    public void setItemType(MetaSensorItemType itemType) {
        this.itemType = itemType;
    }

}
