package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_VENDOR_CRAWLER_SENSOR_ITEM", schema = "public")
public class MetaVendorCrawlerSensorItem {
    private Long id;
    private String interval;
    private String warnCondition;
    private Date createDate;
    private MetaSensorItem sensorItem;
    private MetaInfraVendor vendor;
    private Short crawlerId;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    @Column(name = "INTERVAL", nullable = true, length = 50)
    public String getInterval() {
        return interval;
    }

    public void setInterval(String interval) {
        this.interval = interval;
    }


    @Column(name = "WARN_CONDITION", nullable = true, length = 50)
    public String getWarnCondition() {
        return warnCondition;
    }

    public void setWarnCondition(String warnCondition) {
        this.warnCondition = warnCondition;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }


    @ManyToOne
    @JoinColumn(name = "ITEM_ID", nullable = false)
    public MetaSensorItem getSensorItem() {
        return sensorItem;
    }

    public void setSensorItem(MetaSensorItem sensorItem) {
        this.sensorItem = sensorItem;
    }

    @ManyToOne
    @JoinColumn(name = "VENDOR_ID", nullable = false)
    public MetaInfraVendor getVendor() {
        return vendor;
    }

    public void setVendor(MetaInfraVendor vendor) {
        this.vendor = vendor;
    }

    @Basic
    @Column(name = "CRAWLER_ID", nullable = false)
    public Short getCrawlerId() {
        return crawlerId;
    }

    public void setCrawlerId(Short crawlerId) {
        this.crawlerId = crawlerId;
    }

}
