package com.loafle.overflow.model.sensor;

import com.loafle.overflow.model.meta.MetaSensorDisplayItem;
import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "SENSOR_ITEM", schema = "public")
public class SensorItem {
    private Long id;
    private Sensor sensor;
    private MetaSensorDisplayItem item;
    private Date createDate;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "SENSOR_ID", nullable = false)
    @OnDelete(action = OnDeleteAction.CASCADE)
    public Sensor getSensor() {
        return this.sensor;
    }

    public void setSensor(Sensor sensor) {
        this.sensor = sensor;
    }

    @ManyToOne
    @JoinColumn(name = "ITEM_ID", nullable = false)
    public MetaSensorDisplayItem getItem() {
        return item;
    }

    public void setItem(MetaSensorDisplayItem item) {
        this.item = item;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
