package com.loafle.overflow.service.central.noauthprobe;

import com.loafle.overflow.core.annotation.ProbeAPI;
import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.noauthprobe.NoAuthProbe;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface NoAuthProbeService {
    @ProbeAPI
    NoAuthProbe regist(NoAuthProbe noAuthProbe) throws OverflowException;
    @ProbeAPI
    NoAuthProbe readByTempProbeKey(String tempKey) throws OverflowException;
    @ProbeAPI
    void onConnect(String tempKey, String connectAddress) throws OverflowException;
    @ProbeAPI
    void onDisconnect(String tempKey) throws OverflowException;

    @WebappAPI
    List<NoAuthProbe> readAllByDomainID(Long id) throws OverflowException;
    @WebappAPI
    List<NoAuthProbe> acceptNoAuthProbe(Long id) throws OverflowException;
    @WebappAPI
    List<NoAuthProbe> denyNoauthProbe(Long id) throws OverflowException;

}
